package de.renew.expression;

import java.io.Serializable;
import java.io.IOException;

public class LocalVariable implements Serializable {
  public String name;

  public LocalVariable(String name) {
    this.name=name.intern();
  }

  public String toString() {
    return "local variable \""+name+"\"";
  }

  public boolean equals(Object obj) {
    if (obj instanceof LocalVariable) {
      return (name==((LocalVariable)obj).name);
    } else {
      return false;
    }
  }

  public int hashCode() {
    return name.hashCode();
  }

  private void readObject(java.io.ObjectInputStream in)
      throws IOException, ClassNotFoundException {
      in.defaultReadObject();
      name=name.intern();
  }
}

