package de.renew.shadow;

public class NullCompiler implements ShadowCompiler {
  public ShadowLookup compile(ShadowNetSystem netSystem) {
    return new ShadowLookup();
  }

  public String[] getLintNames() { return new String[0]; }

  public void lint(int lintNr, ShadowNetSystem netSystem,
    ShadowNet selectedNet, ShadowNet lastSelectedNet) {}
  public void checkDeclarationNode(String inscr) {}
  public void checkArcInscription(String inscr, ShadowNet shadowNet) {}
  public void checkTransitionInscription(String inscr, ShadowNet shadowNet) {}
  public void checkPlaceInscription(String inscr, ShadowNet shadowNet) {}
}
